PipeWire: Data Fields - Variables

PipeWire 1.6.7

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - p -

- pad : spa_pod_sequence_body
- padding : pw_timer, spa_io_rate_match, spa_io_segment_bar, spa_io_segment_video, spa_io_video_size, spa_meta_sync_timeline, spa_param_info
- param : pw_device_events, pw_endpoint_events, pw_endpoint_link_events, pw_endpoint_stream_events, pw_node_events, pw_port_events, pw_session_events, spa_peer_param_info, spa_result_device_params, spa_result_node_params
- param_changed : pw_filter_events, pw_impl_port_events, pw_stream_events
- params : pw_device_info, pw_endpoint_info, pw_endpoint_link_info, pw_endpoint_stream_info, pw_node_info, pw_port_info, pw_session_info, spa_device_info, spa_node_info, spa_port_info
- parent : spa_graph, spa_json, spa_pod_frame, spa_type_info
- peer : spa_graph_port
- peer_added : pw_impl_node_events
- peer_id : spa_peer_param_info
- peer_removed : pw_impl_node_events
- pending : spa_graph_state
- permissions : pw_client_events, pw_permission, pw_protocol_native_demarshal
- permissions_changed : pw_global_events
- ping : pw_core_events
- pixel_aspect_ratio : spa_video_info_raw
- pod : spa_command, spa_event, spa_pod_array, spa_pod_bitmap, spa_pod_bool, spa_pod_bytes, spa_pod_choice, spa_pod_double, spa_pod_fd, spa_pod_float, spa_pod_fraction, spa_pod_frame, spa_pod_id, spa_pod_int, spa_pod_long, spa_pod_object, spa_pod_pointer, spa_pod_rectangle, spa_pod_sequence, spa_pod_string, spa_pod_struct
- pollfd_add : spa_system_methods
- pollfd_create : spa_system_methods
- pollfd_del : spa_system_methods
- pollfd_mod : spa_system_methods
- pollfd_wait : spa_system_methods
- pong : pw_core_methods, pw_resource_events
- pool : pw_memblock
- port_added : pw_impl_node_events
- port_buffers : pw_client_node_methods
- port_enum_params : spa_node_methods
- port_id : spa_graph_port
- port_info : spa_node_events
- port_info_changed : pw_impl_node_events
- port_init : pw_impl_node_events
- port_removed : pw_impl_node_events
- port_reuse_buffer : spa_node_methods
- port_set_io : pw_client_node_events, spa_node_methods
- port_set_mix_info : pw_client_node_events
- port_set_param : pw_client_node_events, spa_node_methods
- port_unlinked : pw_impl_link_events
- port_update : pw_client_node_methods
- port_use_buffers : pw_client_node_events, spa_node_methods
- ports : spa_graph_node
- pos : spa_strbuf
- position : spa_audio_info_dsd, spa_audio_info_raw, spa_audio_layout_info, spa_io_clock, spa_io_segment, spa_meta_cursor, spa_region
- prev : spa_list
- primaries : spa_video_colorimetry
- priv : spa_hook, spa_source
- process : pw_filter_events, pw_stream_events, spa_filter_graph_methods, spa_graph_node_callbacks, spa_node_methods
- profile : pw_profiler_events, spa_audio_info_wma
- property : pw_impl_metadata_events, pw_metadata_events
- props_changed : spa_filter_graph_events
- protocol : pw_protocol_client, pw_protocol_server
- ptr : pw_memmap
- pts : spa_meta_header